SDL_WaitEventTimeout(3)

NAME
SDL_WaitEventTimeout - Wait until the specified timeout (in milliseconds) for the next available event.

HEADER FILE
Defined in SDL3/SDL_events.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_WaitEventTimeout(SDL_Event *event, Sint32 timeoutMS);

DESCRIPTION
If event is not NULL, the next event is removed from the queue and stored in the SDL_Event
 structure pointed to by event . As this function may implicitly call SDL_PumpEvents (), you can only call this function in the thread that initialized the video subsystem. The timeout is not guaranteed, the actual wait time could be longer due to system scheduling.

FUNCTION PARAMETERS

event
    the SDL_Event
     structure to be filled in with the next event from the queue, or NULL

timeoutMS
    the maximum number of milliseconds to wait for the next available event

RETURN VALUE
Returns SDL_TRUE
 if this got an event or SDL_FALSE if the timeout elapsed without any events available.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_PollEvent(3), SDL_PushEvent(3), SDL_WaitEvent(3)